<template>
  <div class="container ">
    <div class="row justify-content-center mt-5">
        <div class="col-9">
             <div  class="col-12 " v-for="(day , index) in days" :key="index">
                 <h2  class="text-center my-2 py-2 col-12"> {{ day.day }}</h2>
                 <div v-show=" date.day_id  === day.id" 
                 v-for="(date , index) in dates && dates[this.week].diets" :key="index" class="row justify-content-center mb-5 rounded ">

                    <div v-if="editday !== index"  @click="chanStats(this.week + 1, index+1)" 
                    class="col-12 col-lg-5 btn " >
                     <div v-show="Object.values(dates[this.week].ceck)[index+1] === 1" :class="`p-5 `+ `${index %2 == 1 ?  'bg-warning' : 'bg-info'}`">
                             {{ date.lunch }}<br>
                             {{ date.descrptionlunch }}
                             <br>
                            </div>
                     </div>
                     <div v-if="editday === index"
                          :class="`col-12 col-lg-5 btn py-5 ` +  `${index %2 == 1 ?  'bg-warning' : 'bg-info'}`">

                           <input v-model="form.title" type="text" class="form-control mb-3 bg-transparent border-light" :placeholder="`${date.title}`" aria-label="" aria-describedby="basic-addon1">
       
                           <select @change.prevent="submit(this.lunch)" v-model="lunch"
                           class="form-control custom-select mb-3 bg-transparent border-light" id="inputGroupSelect01">
                               <option   value="Pranzo">Pranzo</option>
                               <option   value="Cena">Cena</option>
                           </select>
   
                           <textarea v-model="form.description" type="text" class="form-control  mb-5 bg-transparent border-light" :placeholder="`${date.descrptionlunch}`" aria-label="" aria-describedby="basic-addon1" />
                           <div @click="edit(date.id, index)" class="text-light"> <i class="bi bi-check-circle "></i></div>
                     </div>
                     <div class="container">
                         <div class="row justify-content-center mt-5" v-show="Object.values(dates[this.week].ceck)[index+1] === 1"  >
                            <div class="col-5 ">
                           
                                <button   @click="change(index)" class="btn btn-danger btn-sm p-5">
                                    <i class="bi bi-pencil-fill"> </i>
                                </button>
                            </div>
                        </div>
                     </div>
                 </div>
             </div>
        </div>
    </div>
  </div>
</template>

<script>
export default {
    props:['week'],
    data(){
        return{
            editday: '',
            editvar: false,
            lunch:'',
            dates:'',
            test: false,
            ceks:'',
            days:'',
            items:[2,3,4,5,6,67,7],
            form:{
                title:"",
                lunch:this.lunch,
                description:""
            }
        }
    },
    methods:{
       
        submit(index){
            this.form.lunch = index
        },

        change(index){   
            this.editday = index;
            this.lunch =  this.dates[this.week].diets[index].lunch;
        },

        edit(date , index){
            if(this.form.lunch === undefined){
                this.form.lunch =  this.dates[this.week].diets[index].lunch;
                
            }
            axios.put(`https://diet.lorenzogiannone.it/api/edit/${date}`, this.form  ).then((response)=>{
                this.dates = response.data.date; 
                this.editday = '';
                console.log(response.data.date);
            });
        },

        setUpHeader(){
            axios.get('https://diet.lorenzogiannone.it/api/diet').then((response)=>{
                this.dates = response.data.date; 
            });
        },

        chanStats(obj , index){
            axios.put(`https://diet.lorenzogiannone.it/api/dietdate/${obj}`, {"number": index} ).then((response)=>{
                this.dates = response.data.date;    
            });
        },
        
    },
    mounted(){
        axios.get(`https://diet.lorenzogiannone.it/api/day` ).then((response)=>{
            this.days = response.data.days;
            });

        this.setUpHeader();
    }

}
</script>


<style>

</style>